Hilfe - Update - welches? (General)

by candleman ⌂, Sunday, July 15, 2018, 23:52 (153 days ago)

.
Bin grad auf Version: 2.4.9

Auf github steht grad version 2.4.12 (mit der Einschränkung nur verwenden, wenn bei .9 oder .10 was schief gegangen ist/sehr frei übersetzt/

Bei .9 und .10 kann irgendwas schief gehen /frei übersetzt/

Nun meine Frage:
Kann/sollte/muss ich updaten und wenn ja auf welche Version?
Ich sitze etwas verwirrt vor der Tastatur

Gruß und Dank und gute Woche
Candleman

Avatar

Hilfe - Update - welches?

by Auge ⌂ @, Monday, July 16, 2018, 06:51 (153 days ago) @ candleman

Hallo

Bin grad auf Version: 2.4.9

Auf github steht grad version 2.4.12 (mit der Einschränkung nur verwenden, wenn bei .9 oder .10 was schief gegangen ist/sehr frei übersetzt/

Bei .9 und .10 kann irgendwas schief gehen /frei übersetzt/

Ja, kann es, wenn die Ausgangsversion niedriger ist, als 2.3.99.1 (die erste, nichtöffentliche Beta der 2.4). Der Fehlerfall samt der daraus resultierenden Entwicklungen ist in diesem Thread von WorldofBB nachvollziehbar.

Nun meine Frage:
Kann/sollte/muss ich updaten und wenn ja auf welche Version?
Ich sitze etwas verwirrt vor der Tastatur

Du kannst direkt auf die 2.4.12 updaten. Sie enthält, wie oben schon geschrieben, gegenüber der Version 2.4.11 nur die Korrektur für Updates, die von Versionen niedriger 2.3.99.1 ausgehen. Sie ist also mit der 2.4.11 funktionsgleich, weshalb du auch nichts falsch machst, wenn du auf die 2.4.12 updatest.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Hilfe - Update - welches?

by candleman ⌂, Monday, July 16, 2018, 11:37 (153 days ago) @ Auge

Hallo

Bin grad auf Version: 2.4.9


Du kannst direkt auf die 2.4.12 updaten. Sie enthält, wie oben schon geschrieben, gegenüber der Version 2.4.11 nur die Korrektur für Updates, die von Versionen niedriger 2.3.99.1 ausgehen. Sie ist also mit der 2.4.11 funktionsgleich, weshalb du auch nichts falsch machst, wenn du auf die 2.4.12 updatest.

Jo, danke für die Wegweisung.
Ich hatte jetzt im Urlaub nimmer alle Veröffentlichungen so verfolgt.
Jetzt werd ich mich dann mal dranmachen.

Gruss und dank

candleman

Hilfe - Update - welches?

by Michael1975 @, Thursday, August 09, 2018, 12:29 (129 days ago) @ candleman

Hallo!

Mein Forum ist 2.3.7.

Wenn ich als Admin auf "Update" clicke, steht aber "update_2.x-2.3.php" zur Verfügung.

Wie bekomme ich das aktuellste installiert? GEht das nur über FTP?

Avatar

Hilfe - Update - welches?

by Auge ⌂ @, Thursday, August 09, 2018, 13:11 (129 days ago) @ Michael1975

Hallo

Mein Forum ist 2.3.7.

Wenn ich als Admin auf "Update" clicke, steht aber "update_2.x-2.3.php" zur Verfügung.

Wie bekomme ich das aktuellste installiert? GEht das nur über FTP?

Ja, um FTP wirst du nicht herumkommen. Lade dir die aktuelle Version von Github herunter (aktuell ist die 2.4.12) und entpacke das Archiv. Lade dann im ersten Schritt den Inhalt des Verzeichnisses update in das gleichnamige Verzeichnis deines Forums und die Datei VERSION aus dem Verzeichnis config in das gleichnamige Verzeichnis hoch. Wenn du nun im Adminbereich auf "Update" klickst, sollte dir neben der update_2.x-2.3.php auch das Skript update_2.3.5-2.4.php angezeigt werden. Dieses Skript (update_2.3.5-2.4.php) führst du nun aus. Nach den Änderungen an der Datenbankstruktur wird dir angezeigt, welche Dateien nun noch hochzuladen sind (es dürften bei einem solch großen Sprung fast alle sein).

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Hilfe - Update - welches?

by Mikaeel1975 ⌂ @, Friday, August 10, 2018, 11:21 (128 days ago) @ Auge

Hallo, Auge!

Ich hab alles so gemacht.

Große Fehlermeldungen finde ich keine. Bis auf eine Sache.

Es legt sich automatisch immer eine Art dunkelgrauer Layer über die Seite:

[image]

Der verhindert, dass man irgendwas klicken kann - scrollt man weiter runter, geht es komischerweise.

Was kann das denn sein? Ich bin leider kein guter "Coder"...

Avatar

Hilfe - Update - Fehlerbehebung

by Auge ⌂ @, Friday, August 10, 2018, 12:18 (128 days ago) @ Mikaeel1975

Hallo

Große Fehlermeldungen finde ich keine. Bis auf eine Sache.

Es legt sich automatisch immer eine Art dunkelgrauer Layer über die Seite:

[image]

Der verhindert, dass man irgendwas klicken kann - scrollt man weiter runter, geht es komischerweise.

Was kann das denn sein?

Was es ist, kann ich sagen, warum es da ist, auf die Schnelle nicht.

Es handelt sich um den Hintergrund für Bilder, die in Postings als Thumbnails (kleine Vorschauen) eingebunden werden. Die kann man anklicken, um sie größer darzustellen, wobei dieser abgedunkelte, halbtransparente Hintergrund eingeblendet wird.

Warum dieses Element beim Aufruf der Seite eingeblendet wird, kann ich nicht sagen. Mich wundert, dass es bisher keine weiteren Meldungen dazu gibt. Daher vermute ich, dass du eine oder mehrere Dateien nicht aktualisiert hast. Zu diesen Dateien gehört definitiv das Haupt-Template, dessen HTML-Struktur für die Liste der letzten X Beiträge nicht der aktuellen Struktur, wie sie z.B. hier benutzt wird, ist.

Benutzt du überhaupt das Default-Template? Ich frage, weil du mindestens farbliche Anpassungen vorgenommen hast. Bestenfalls hast du das ja in einem eigenen Theme (aus dem Default-Theme erstellt) getan.

In einem ersten Schritt könntest du vorübergehend die CSS-Regeln für das Element #image-canvas deaktivieren. Rufe dazu in deinem Texteditor die Datei style.min.css des von dir verwendeten Themes auf, gehe zu Zeile 425 und umgebe den Block mit dem Selektor #image-canvas mit Kommentarzeichen.

aus:

#image-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url(images/canvas_bg.png);
    z-index: 20;
}

wird:

/*
#image-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url(images/canvas_bg.png);
    z-index: 20;
}
*/

Damit ist erst einmal der dunkle Layer weg und die Links hinter ihm erreichbar. Achtung: Wenn ihr Bilder als Vorschauen (Thumbnails) in Beiträgen einbindet, dürften diese erst einmal nicht bedienbar sein.

Danach musst du dein Theme an die neuen Gegebenheiten anpassen. Frage hier ruhig nach, wenn du etwas nicht verstehst. Die URL deines Forums kenne ich ja nun.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Hilfe - Update - Fehlerbehebung

by Mikaeel1975, Friday, August 10, 2018, 12:24 (128 days ago) @ Auge

Hallo, Auge!

Danke für Deine schnelle Antwort.
Ich habe den code, der auf Canvas zugreift, jetzt komplett eliminiert (ist in der Tat ein angepasstes Template ;-)
Jetzt geht es augenscheinlich alles wieder :-D

Auf weitere Fragen komme ich sicher gerne mal wieder zurück!

Herzliche Grüße!

Hilfe - Update - Fehlerbehebung

by Mikaeel1975, Friday, August 10, 2018, 12:29 (128 days ago) @ Auge

Tatsächlich noch eine Frage:

Bereits gesehene Beiträge werden nicht mehr als solche markiert.
Hab ich da einfach im Style irgendwo die gleichen Farben für Links und geklickte Links gleich eingestellt?
Ist ewig her, dass ich im Code etwas geändert hatte...

Avatar

Hilfe - Update - Fehlerbehebung

by Auge ⌂ @, Friday, August 10, 2018, 19:52 (127 days ago) @ Mikaeel1975

Hallo

Bereits gesehene Beiträge werden nicht mehr als solche markiert.
Hab ich da einfach im Style irgendwo die gleichen Farben für Links und geklickte Links gleich eingestellt?

Vermutlich nicht, aber …

- … die Art der Speicherung der gelesenen Beiträge wurde völlig umgebaut und funktioniert nur noch für angemeldete Benutzer [1]
- … an einigen Stellen, wie der Liste der letzten Beiträge in der Sidebar, hat sich die HTML-Struktur erheblich geändert
- – viele CSS-Regeln wurden umgebaut

Dass die Änderungen in deinem Theme so gravierend sind, dass sie nun erhebliche Probleme beim Update bereiten, tut mir leid. Ich verweise deshalb auf den Rat im Nachbarposting, die Änderungen in den Templates und Stylesheets des mitgelieferten Themes mit einem geeigneten Werkzeug nachzuvollziehen. Wir haben zusätzlich eine Auflistung der Theme-bezogenen Änderungen im Wiki, die allerdings erst mit der Version 2.4.5 beginnt. Die wird dir wohl nur bedingt weiterhelfen.

Tschö, Auge

[1]: Nicht angemeldete Benutzer sehen die Markierungen für die von ihnen gelesenen Postings ebenfalls. Hier kommt allerdings das Browserstylesheet für gelesene Links zum Einsatz (was zuvor nicht funktionierte).

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Hilfe - Update - Fehlerbehebung

by Mikaeel1975, Friday, August 10, 2018, 12:59 (128 days ago) @ Auge

Argh...

Und noch etwas: Wenn ich etwas schreiben will und auf "Posten" klicke, erhalte ich die Info "no Authorization"....

Avatar

Hilfe - Update - Fehlerbehebung

by Auge ⌂ @, Friday, August 10, 2018, 19:38 (127 days ago) @ Mikaeel1975

Hallo

Und noch etwas: Wenn ich etwas schreiben will und auf "Posten" klicke, erhalte ich die Info "no Authorization"...

Du hast immer noch nicht alle Änderungen aus dem Default-Template in dein Template übernommen. In mehreren Formularen wurden zusätzliche Felder eingeführt, um Spam und, die Prüfung, die in deinem Fall zugeschlagen hat, die Übernahme einer Anmeldung durch Angreifer (Skripte) in anderen offenen Browsertabs zu verhindern.

Da ich nicht weiß, welche Änderungen dein eigenes Theme enthält, kann ich dir nur empfehlen, die Templates und das CSS mit einem Diff-Tool wie z.B. WinMerge zu vergleichen und die nötigen Änderungen einzuarbeiten.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

Avatar

Hilfe - Update - welches?

by Auge ⌂ @, Monday, August 13, 2018, 12:46 (125 days ago) @ Mikaeel1975

Hallo

Es legt sich automatisch immer eine Art dunkelgrauer Layer über die Seite:

[image]

Was kann das denn sein? Ich bin leider kein guter "Coder"...

Nur der Vollständigkeit halber und weil ich gerade wegen etwas anderem im CSS-Code rumgewühlt habe. Dir fehlt im CSS folgende Angabe, um den Overlay für zu vergrößernde Bilder benutzen zu können, ihn aber nicht auf der Seite zu haben, wenn kein Bild angezeigt wird.

Zeile #449 der style.min.css des Default Themes (und folgende Zeilen):

.js-display-none{display: none}
/*...*/

Bitte vergleiche den Code mit dem CSS-Code deines Themes.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!

RSS Feed of thread
powered by my little forum